Bug 71727 - up2date fails with "AttributeError: setArrorCursor" when in another virtual desktop
up2date fails with "AttributeError: setArrorCursor" when in another virtual d...
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-16 22:58 EDT by Jeff Morriss
Modified: 2015-01-07 18:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-20 21:02:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Morriss 2002-08-16 22:58:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
Occasionally when I decide to browse the web in another virtual
window/workspace/whatever while 'up2date' is running, it will fail out with this
backtrace:

mozart [~/]> up2date
Traceback (innermost last):
  File "/usr/share/rhn/up2date_client/gui.py", line 832, in doInstallation
    self.setArrorCursor()
AttributeError: setArrorCursor
mozart [~/]>

I think in this particular case I had swithched workspaces while 'up2date' was
installing the packages.  When I went back, it had this failure.  The packages
were all installed correctly.

Version-Release number of selected component (if applicable): mozart [~/]> rpm
-qa|grep up2date
up2date-2.7.61-7.x.2
up2date-gnome-2.7.61-7.x.2



How reproducible:
Didn't try

Steps to Reproduce:
1.Run up2date
2.When packages start installing, switch to another workspace
3.When you think it's probably done, switch back to your xterm with 'up2date'; 
observe the error.

At least that's how I *think* I've seen it...
	

Actual Results:  mozart [~/]> up2date
Traceback (innermost last):
  File "/usr/share/rhn/up2date_client/gui.py", line 832, in doInstallation
    self.setArrorCursor()
AttributeError: setArrorCursor
mozart [~/]>

Expected Results:  mozart [~/]> up2date
mozart [~/]>

;)

Additional info:

Running Redhat-7.2 with all the current patches (according to 'up2date').
Comment 1 Zach Nobel 2002-08-19 13:07:52 EDT
Found similar problem. switched active windows in front of up2date (mozilla 1.0)
, and was updating to the latest rpms (glibc & gcc, bind, nscd) . gnome up2date
froze while installing nscd. Error is:
[root@tacoma root]# up2date
Traceback (innermost last):
  File "/usr/share/rhn/up2date_client/gui.py", line 832, in doInstallation
    self.setArrorCursor()
AttributeError: setArrorCursor
-------
[tacoma:~ %} uname -a
Linux tacoma.sunsolver.com 2.4.9-34 #1 Sat Jun 1 06:25:16 EDT 2002 i686 unknown
--------
[tacoma:~ %} rpm -qi up2date
Name        : up2date                      Relocations: (not relocateable)
Version     : 2.7.61                            Vendor: Red Hat, Inc.
Release     : 7.x.2                         Build Date: Fri 22 Mar 2002 04:44:40
AM PST
Install date: Fri 26 Apr 2002 09:30:16 AM PDT      Build Host: daffy.perf.redhat.com
-----------
Name        : up2date-gnome                Relocations: (not relocateable)
Version     : 2.7.61                            Vendor: Red Hat, Inc.
Release     : 7.x.2                         Build Date: Fri 22 Mar 2002 04:44:40
AM PST
Comment 2 Scott R. Godin 2002-08-20 21:02:02 EDT
changing it to ArrowCursor in line 832 seems to solve the problem of that
particular silly error message. 

typo in the python code. 

happened to me too, and it's not finished installing the damned packages. *sigh*
clean up time
Comment 3 Adrian Likins 2002-09-12 18:10:07 EDT
This should be fixed in an upcoming errata.

Note You need to log in before you can comment on or make changes to this bug.